using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;

using MyGeometry;
using System.Drawing;

namespace FunctionalSubstructure
{
    static class Program
    {
		private static FormMain formMain = null;

        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

			Program.formMain = new FormMain();
            Application.Run(Program.formMain);
        }
        static public FormMain GetFormMain()
        {
            return Program.formMain;
        }

		static public void OutputText(string s, bool newLine)
		{
			Program.formMain.OutputText(s, newLine);
		}


		static public MeshView CurrentActiveView = null;


		static public Color[] ColorMall = new Color[34]
		{
			Color.FromArgb(255, 140, 0),
			Color.FromArgb(0, 206, 209),
			Color.FromArgb(222, 141, 184),
			Color.FromArgb(0, 255, 0),
			Color.FromArgb(100, 149, 237),
			Color.FromArgb(30, 144, 255),
			Color.FromArgb(128, 128, 255),
			Color.FromArgb(98, 215, 159),
			Color.FromArgb(243, 147, 78),
			Color.FromArgb(255, 215, 0),
			Color.FromArgb(0, 255, 127),
			Color.FromArgb(255, 99, 71),
			Color.FromArgb(218, 165, 32),
			Color.FromArgb(230, 34, 110),
			Color.FromArgb(250, 67, 89),
			Color.FromArgb(255, 165, 0),
			Color.FromArgb(0, 255, 255),
			Color.FromArgb(227, 249, 136),
			Color.FromArgb(210, 105, 30),
			Color.FromArgb(0, 160, 0),
			Color.FromArgb(173, 255, 47),
			Color.FromArgb(218, 112, 214),
			Color.FromArgb(100, 149, 237),
			Color.FromArgb(255, 79, 163),
			Color.FromArgb(243, 243, 5),
			Color.FromArgb(255, 255, 0),
			Color.FromArgb(192, 160, 0),
			Color.FromArgb(50, 141, 216),
			Color.FromArgb(186, 85, 211),
			Color.FromArgb(219, 112, 147),
			Color.FromArgb(255, 0, 0),
			Color.FromArgb(148, 0, 211),
			Color.FromArgb(205, 54, 22),
			Color.FromArgb(32, 192, 255)
		};
    }
}
